Subject: Need to be able to resize partition without touching underlying filesystem for XFS

From: Aaron Williams <[email-masked]>
Date: Sun, 05 Jan 2014 16:46:28 -0800

One big problem I have with parted is that the only way I can grow my
3TB XFS partition is to delete the existing partition and create a new
one with the same starting location.  My XFS partition is sitting on a
logical volume of my RAID controller and when I run low on space I just
grow that particular volume.

After recreating the partition I can just use the XFS tools to grow the
XFS partition.

-Aaron